%global _empty_manifest_terminate_build 0
Name:		python-blockdiag
Version:	2.0.1
Release:	1
Summary:	blockdiag generates block-diagram image from text
License:	Apache License 2.0
URL:		http://blockdiag.com/
Source0:	https://files.pythonhosted.org/packages/b6/1b/eab880ae3e6c7e24ae5adecc40ee7dd05c9ebb0dff6c39b52472844ce9b7/blockdiag-2.0.1.tar.gz
BuildArch:	noarch

Requires:	python3-setuptools
Requires:	python3-funcparserlib
Requires:	python3-Pillow
Requires:	python3-webcolors
Requires:	python3-reportlab
Requires:	python3-docutils
Requires:	python3-nose
Requires:	python3-flake8
Requires:	python3-flake8-coding
Requires:	python3-flake8-copyright
Requires:	python3-flake8-isort
Requires:	python3-reportlab
Requires:	python3-docutils

%description
* Generate block-diagram from dot like text (basic feature).
* Multilingualization for node-label (utf-8 only).
You can get some examples and generated images on
`blockdiag.com <http://blockdiag.com/en/blockdiag/examples.html>`_ .

%package -n python3-blockdiag
Summary:	blockdiag generates block-diagram image from text
Provides:	python-blockdiag
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-blockdiag
* Generate block-diagram from dot like text (basic feature).
* Multilingualization for node-label (utf-8 only).
You can get some examples and generated images on
`blockdiag.com <http://blockdiag.com/en/blockdiag/examples.html>`_ .

%package help
Summary:	Development documents and examples for blockdiag
Provides:	python3-blockdiag-doc
%description help
* Generate block-diagram from dot like text (basic feature).
* Multilingualization for node-label (utf-8 only).
You can get some examples and generated images on
`blockdiag.com <http://blockdiag.com/en/blockdiag/examples.html>`_ .

%prep
%autosetup -n blockdiag-2.0.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-blockdiag -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 23 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
